> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Create Bulk Pricing Rule

POST https://api.bigcommerce.com/stores/{store_hash}/v3/catalog/products/{product_id}/bulk-pricing-rules
Content-Type: application/json

Creates a *Bulk Pricing Rule*.

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/admin/catalog/products/bulk-pricing-rules/create-bulk-pricing-rule

## Authentication

- `X-Auth-Token` header (required) — ### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Products | modify | `store_v2_products` | | Products | read-only | `store_v2_products_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

## Request

### Path parameters

- `product_id` (integer, required) — The ID of the `Product` to which the resource belongs.
- `store_hash` (string, required) — Permanent ID of the BigCommerce store.

### Headers

- `Accept` (string, required, default: application/json) — The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

### Body (application/json)

This endpoint expects a bulkPricingRule_Full.

- `quantity_min` (integer, required) — The minimum inclusive quantity of a product to satisfy this rule. Must be greater than or equal to zero. For `fixed` rules, the minimum quantity canʼt be less than two. Required in /POST.
- `quantity_max` (integer, required) — The maximum inclusive quantity of a product to satisfy this rule. Must be greater than the `quantity_min` value – unless this field has a value of 0 (zero), in which case there will be no maximum bound for this rule. Required in /POST.
- `type` (enum, required) — The type of adjustment that is made. Values: `price` - the adjustment amount per product; `percent` - the adjustment as a percentage of the original price; `fixed` - the adjusted absolute price of the product. Required in /POST.
  - Allowed values: `price`, `percent`, `fixed`
- `amount` (BulkPricingRuleFullAmount, required) — You can express the adjustment type as either a fixed dollar amount or a percentage. Send a number; the response will return a number for `price` and `fixed` adjustments. Divide the adjustment percentage by 100 and send the result in string format. For example, represent 10% as “.10”. The response will return a float value for both `price` and `percentage` adjustments. Required in /POST.

## Response

### 200

OK

- `data` (CatalogProductsProductIdBulkPricingRulesPostResponsesContentApplicationJsonSchemaData, optional)
- `meta` (metaEmpty_Full, optional) — Response metadata.

## Types

### BulkPricingRuleFullAmount

You can express the adjustment type as either a fixed dollar amount or a percentage. Send a number; the response will return a number for `price` and `fixed` adjustments. Divide the adjustment percentage by 100 and send the result in string format. For example, represent 10% as “.10”. The response will return a float value for both `price` and `percentage` adjustments. Required in /POST.

### CatalogProductsProductIdBulkPricingRulesPostResponsesContentApplicationJsonSchemaData

- `id` (integer, optional) — Unique ID of the *Bulk Pricing Rule*. Read-Only.
- `quantity_min` (integer, optional) — The minimum inclusive quantity of a product to satisfy this rule. Must be greater than or equal to zero. For `fixed` rules, the minimum quantity canʼt be less than two. Required in /POST.
- `quantity_max` (integer, optional) — The maximum inclusive quantity of a product to satisfy this rule. Must be greater than the `quantity_min` value – unless this field has a value of 0 (zero), in which case there will be no maximum bound for this rule. Required in /POST.
- `type` (enum, optional) — The type of adjustment that is made. Values: `price` - the adjustment amount per product; `percent` - the adjustment as a percentage of the original price; `fixed` - the adjusted absolute price of the product. Required in /POST.
  - Allowed values: `price`, `percent`, `fixed`
- `amount` (CatalogProductsProductIdBulkPricingRulesPostResponsesContentApplicationJsonSchemaDataAmount, optional) — You can express the adjustment type as either a fixed dollar amount or a percentage. Send a number; the response will return a number for `price` and `fixed` adjustments. Divide the adjustment percentage by 100 and send the result in string format. For example, represent 10% as “.10”. The response will return a float value for both `price` and `percentage` adjustments.

### metaEmpty_Full

Response metadata.

### CatalogProductsProductIdBulkPricingRulesPostResponsesContentApplicationJsonSchemaDataAmount

You can express the adjustment type as either a fixed dollar amount or a percentage. Send a number; the response will return a number for `price` and `fixed` adjustments. Divide the adjustment percentage by 100 and send the result in string format. For example, represent 10% as “.10”. The response will return a float value for both `price` and `percentage` adjustments.

## Examples

**Request**

```json
{
  "quantity_min": 1,
  "quantity_max": 3,
  "type": "price",
  "amount": 1
}
```

**Response**

```json
{
  "data": {
    "id": 83,
    "quantity_min": 1,
    "quantity_max": 3,
    "type": "price",
    "amount": 1
  },
  "meta": {}
}
```

**SDK Code**

```python Create a bulk pricing rule
import requests

url = "https://api.bigcommerce.com/stores/store_hash/v3/catalog/products/1/bulk-pricing-rules"

payload = {
    "quantity_min": 1,
    "quantity_max": 3,
    "type": "price",
    "amount": 1
}
headers = {
    "Accept": "application/json",
    "X-Auth-Token": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Create a bulk pricing rule
const url = 'https://api.bigcommerce.com/stores/store_hash/v3/catalog/products/1/bulk-pricing-rules';
const options = {
  method: 'POST',
  headers: {
    Accept: 'application/json',
    'X-Auth-Token': '<apiKey>',
    'Content-Type': 'application/json'
  },
  body: '{"quantity_min":1,"quantity_max":3,"type":"price","amount":1}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Create a bulk pricing rule
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/stores/store_hash/v3/catalog/products/1/bulk-pricing-rules"

	payload := strings.NewReader("{\n  \"quantity_min\": 1,\n  \"quantity_max\": 3,\n  \"type\": \"price\",\n  \"amount\": 1\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Accept", "application/json")
	req.Header.Add("X-Auth-Token", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Create a bulk pricing rule
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/stores/store_hash/v3/catalog/products/1/bulk-pricing-rules")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Accept"] = 'application/json'
request["X-Auth-Token"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"quantity_min\": 1,\n  \"quantity_max\": 3,\n  \"type\": \"price\",\n  \"amount\": 1\n}"

response = http.request(request)
puts response.read_body
```

```java Create a bulk pricing rule
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.bigcommerce.com/stores/store_hash/v3/catalog/products/1/bulk-pricing-rules")
  .header("Accept", "application/json")
  .header("X-Auth-Token", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"quantity_min\": 1,\n  \"quantity_max\": 3,\n  \"type\": \"price\",\n  \"amount\": 1\n}")
  .asString();
```

```php Create a bulk pricing rule
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.bigcommerce.com/stores/store_hash/v3/catalog/products/1/bulk-pricing-rules', [
  'body' => '{
  "quantity_min": 1,
  "quantity_max": 3,
  "type": "price",
  "amount": 1
}',
  'headers' => [
    'Accept' => 'application/json',
    'Content-Type' => 'application/json',
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Create a bulk pricing rule
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/stores/store_hash/v3/catalog/products/1/bulk-pricing-rules");
var request = new RestRequest(Method.POST);
request.AddHeader("Accept", "application/json");
request.AddHeader("X-Auth-Token", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"quantity_min\": 1,\n  \"quantity_max\": 3,\n  \"type\": \"price\",\n  \"amount\": 1\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Create a bulk pricing rule
import Foundation

let headers = [
  "Accept": "application/json",
  "X-Auth-Token": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "quantity_min": 1,
  "quantity_max": 3,
  "type": "price",
  "amount": 1
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/stores/store_hash/v3/catalog/products/1/bulk-pricing-rules")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```